#include <iostream>

using namespace std;

int main()
{
    int teszt,tanulok[100000],banankrem[100000],csoport[100000],csoportszam[100000],a=1,b=0;
    cin>>teszt;
    for(int i=0;i<teszt;i++)
    {
        cin>>tanulok[i]>>banankrem[i]>>csoport[i];
        csoportszam[i]=tanulok[i]/csoport[i];
    }
    for(int i=0;i<teszt;i++)
    {

     for(int c=0;c<csoport[i];c++)
     {
         a=1;
         for(int n=0;n<csoportszam[i];n++)
         {
         banankrem[i]=banankrem[i]-a;
         a++;
          }
     }
     if((tanulok[i]%csoport[i])!=0)
     {
         for(int b=0;b<(tanulok[i]%csoport[i]);b++)
         {
            banankrem[i]=banankrem[i]-(csoportszam[i]+1);
         }
     }

     if(i!=teszt-1)
     {
         if(banankrem[i]<0)
     cout<<"Nie"<<endl;
     else
     cout<<"Tak"<<endl;
     }
     else
     {
    if(banankrem[i]<0)
     cout<<"Nie";
     else
     cout<<"Tak";
     }
    }
    return 0;
}